Subject: Re: bug#34794: 26.1; doc of `read-buffer'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Mar 2019 18:54:10 +0200

> Date: Sat, 9 Mar 2019 08:31:38 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> AFAICT neither the doc string nor the Elisp manual states what the
> default value is if argument DEF is nil.  IOW, what is the default
> buffer name if no explicit default is provided?  It seems (without
> thorough testing) to be the value of `(buffer-name (current-buffer))'.

No, it's an empty string, and I think the doc string already conveys
that.  (Note that if read-buffer-function is non-nil, what happens
then is entirely up to that function, which doesn't make it easy to
say exactly how DEF is handled.)